Bug 466502 - Unwanted repos added to kickstart
Unwanted repos added to kickstart
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Jesus M. Rodriguez
Depends On:
Blocks: space05
  Show dependency treegraph
Reported: 2008-10-10 12:13 EDT by John Hodrien
Modified: 2009-09-17 03:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-17 03:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Hodrien 2008-10-10 12:13:27 EDT
Description of problem:

Additional repos only probably useful for RHEL are added irrespective of the OS the kickstart is for.

Version-Release number of selected component (if applicable):

Spacewalk 0.2

How reproducible:

Incorrect for both CentOS and Fedora

Steps to Reproduce:
1.  Push a kickstart image up for Fedora9 with make-ks-tree.sh
2.  Create a profile using it.
3.  Go to the Kickstart File.

Actual results:

Four repos have appeared that you don't want (Cluster, ClusterStorage, VT, Workstation)

Expected results:

No extra repos should be added (unless you're using RHEL I assume).

Additional info:

spacewalk-java-0.2.8/code/src/com/redhat/rhn/manager/kickstart/KickstartWizardHelper.java seems to contain the guilty lines of code.
Comment 1 Colin Coe 2009-02-11 20:12:02 EST
Looks like the repo's lines are set when the kickstart profile is created or changed when the kickstartable tree is changed.

John, can you see if a new non-RHEL (i.e. Centos or Fedora) kickstart profile excludes the repo lines and advise?  You might need to test against the latest code in the git repo.


Comment 2 John Hodrien 2009-02-12 07:30:14 EST
A Fedora 9 install from a SW 0.4 server no longer shows these unwanted repos.

Comment 4 Partha Aji 2009-03-14 12:20:36 EDT
The repo lines should now only show up for rhel5 or greater. Even on RHEL5 systems, the repos other than VT are not automatically added  but they can be optionally selected in the profile in the Operating Systems page.
Comment 5 Partha Aji 2009-03-28 01:11:30 EDT
Moving to ON_QA
Comment 6 Jesus M. Rodriguez 2009-04-14 10:11:39 EDT
Spacewalk 0.5 released.
Comment 7 Miroslav Suchý 2009-09-17 03:08:28 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.